<?php

$m = mysql_num_rows(mysql_query("select * from `pod_in` WHERE `komu_id` = '".$ank['id']."' and `private` = '2'"));

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pod_in` WHERE `komu_id` = '".$ank['id']."' and `private` = '2'"),0);
$num = 4;
if(isset($_GET['page']))$page = $_GET['page'];
else $page = 0;

$total = intval(($k_post - 1) / $num) + 1; 
$page = intval($page);
if(empty($page) or $page < 0) $page = 1;  
if($page > $total) $page = $total;
$start = $page * $num - $num;
$str = 'info.php';
$str2 = '&id='.$ank['id'].'';

$kp = mysql_query("select * from `pod_in` WHERE `komu_id` = '".$ank['id']."' and `private` = '2' order by time desc LIMIT $start, $num");

if ($m>4){
echo '<div class="links">';echo '<b>Подарки пользователя</b><br/>';
echo '</div>';
echo 'Показаны <font color="green">'.mysql_num_rows($kp).'</font> из <font color="green">'.$k_post.'</font> подарков<br/>';
echo '<center>';

while ($post = mysql_fetch_array($kp)){
$pods = mysql_fetch_array(mysql_query("select * from `pod_file` WHERE `id` = '".$post['pod_id']."'"));
echo '<a href="/pod/pod.php?id='.$post['id'].'"><img src="/pod/image/'.$pods['file'].'" height="50" width="50" alt="." title="кликните для просмотра" /></a>';
}
echo '</center>';
echo '<center>';
if ($page==1 || $page==0){
echo '<a href= ./'.$str.'?page='. ($page + 1) .''.$str2.'>следующие<img src="/pod/r.png" alt="."/></a>';
}
if ($page==$total){
echo '<a href= ./'.$str.'?page='. ($page - 1) .''.$str2.'><img src="/pod/l.png" alt="."/>предыдущие</a>';
}
if ($page>1 && $_GET['page']!=$total){
echo '<a href= ./'.$str.'?page='. ($page - 1) .''.$str2.'><img src="/pod/l.png" alt="."/>предыдущие</a> | <a href= ./'.$str.'?page='. ($page + 1) .''.$str2.'>следующие<img src="/pod/r.png" alt="."/></a></a> ';
}
echo '</center>';
echo '</div>';
 
echo '<div class="links">';
echo '<img src="/pod/img.png" alt="."/> <a href="/pod/?id='.$ank['id'].'">Все подарки</a><br/>';
echo '<img src="/pod/img.png" alt="."/> <a href="/pod/new.php?id='.$ank['id'].'">Сделать подарок</a><br/>';
echo '</div>'; 
}
 
if ($m == 0){
echo '<div class="links">';
echo '<b>Подарки пользователя</b><br/>';
echo '</div>'; 
echo '<div class="links">';
echo 'Пользователю пока что не дарили подарки, будь первым!<br/>';
echo '</div>';
echo '<div class="links">';

//echo '<img src="/pod/img.png" alt="."/> <a href="/pod/?id='.$ank['id'].'">Подробнее</a><br/>';// раскомментируйте если необходимо

echo '<img src="/pod/img.png" alt="."/> <a href="/pod/new.php?id='.$ank['id'].'">Сделать подарок</a><br/>';
echo '</div>';
}
 
if ($m>0 && $m<5){
echo '<div class="links">';
echo '<b>Подарки пользователя</b><br/>';
echo '</div>';
echo '<div class="links">';
echo 'Показаны <font color="green">'.mysql_num_rows($kp).'</font> из <font color="green">'.$k_post.'</font> подарков<br/>';
echo '<center>';

while ($post = mysql_fetch_array($kp)){
$pods = mysql_fetch_array(mysql_query("select * from `pod_file` WHERE `id` = '".$post['pod_id']."'"));
echo '<a href="/pod/pod.php?id='.$post['id'].'"><img src="/pod/image/'.$pods['file'].'" height="50" width="50" alt="." title="кликните для просмотра" /></a>';
} 
echo '</center>';
echo '</div>';
echo '<div class="links">';
 
echo '<img src="/pod/img.png" alt="."/> <a href="/pod/?id='.$ank['id'].'">Все подарки</a><br/>';
echo '<img src="/pod/img.png" alt="."/> <a href="/pod/new.php?id='.$ank['id'].'">Сделать подарок</a><br/>';
echo '</div>'; 
}

?>
